SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

CREATE TABLE `channel` (
  `id` int(11) NOT NULL auto_increment,
  `index_val` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `id_nucleus` int(11) NOT NULL,
  `snr` int(11) NOT NULL,
  `snr_min` int(11) NOT NULL,
  `snr_max` int(11) NOT NULL,
  `status_snr` int(11) NOT NULL,
  `nb_obj` int(11) NOT NULL,
  `nb_obj_min` int(11) NOT NULL,
  `nb_obj_max` int(11) NOT NULL,
  `status_nb_obj` int(11) NOT NULL,
  `vol_min` float NOT NULL,
  `vol_max` float NOT NULL,
  `vol_2obj` float NOT NULL,
  `status_vol` int(11) NOT NULL,
  `status_edition` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`,`snr_min`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;



CREATE TABLE `distance` (
  `id` int(11) NOT NULL auto_increment,
  `id_nucleus` int(11) NOT NULL,
  `id_object1` int(11) NOT NULL,
  `id_object2` int(11) NOT NULL,
  `distance_center` float NOT NULL,
  `distance_border` float NOT NULL,
  `distance_center1toborder2` float NOT NULL,
  `distance_center2toborder1` float NOT NULL,
  `angle` float default NULL,
  `percent_coloc` int(11) NOT NULL,
  `type` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `id_channel` (`id_nucleus`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;



CREATE TABLE `nucleus` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  `absolute_path` varchar(255) NOT NULL,
  `field` varchar(255) NOT NULL,
  `manual_cut` tinyint(4) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `warning` tinyint(4) NOT NULL,
  `creation_date` date NOT NULL,
  `update_date` date default NULL,
  `comment` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `status` (`status`),
  KEY `field` (`field`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


CREATE TABLE `object` (
  `id` int(11) NOT NULL auto_increment,
  `id_channel` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `rank` int(11) NOT NULL,
  `x` float NOT NULL,
  `y` float NOT NULL,
  `z` float NOT NULL,
  `volume` float NOT NULL,
  `area` float NOT NULL,
  `compacite` float NOT NULL,
  `rejected` tinyint(4) NOT NULL,
  `localray` float default NULL,
  `feret` float default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
